FreeBSD : Axis2 -- Security vulnerabilities on dependency Apache HttpClient (ac18046c-9b08-11e6-8011-005056925db4)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Apache Axis2 reports :

Apache Axis2 1.7.4 is a maintenance release that includes fixes for
several issues, including the following security issues : Session
fixation (AXIS2-4739) and XSS (AXIS2-5683) vulnerabilities affecting
the admin console. A dependency on an Apache HttpClient version
affected by known security vulnerabilities (CVE-2012-6153 and
CVE-2014-3577); see AXIS2-5757.

See also :

http://axis.apache.org/axis2/java/core/release-notes/1.7.4.html
https://issues.apache.org/jira/browse/AXIS2-4739
https://issues.apache.org/jira/browse/AXIS2-5683
https://issues.apache.org/jira/browse/AXIS2-5757
http://www.nessus.org/u?923cf56a

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 94419 ()

Bugtraq ID:

CVE ID: CVE-2012-6153
CVE-2014-3577

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now